/*
 * Copyright (c) 1998-2005 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
package jgroup.relacs.registry;

import java.rmi.RemoteException;
import java.rmi.server.RMIClientSocketFactory;
import java.rmi.server.RMIServerSocketFactory;

import jgroup.core.JgroupException;
import jgroup.core.registry.DependableRegistry;
import jgroup.core.registry.LookupRegistry;
import jgroup.core.registry.RegistryLocator;

/**
 * Registry Locator class used to retrieve a reference to reggie/greg.
 * 
 * @author Rohnny Moland
 */
public final class GregRegistryLocator
  implements RegistryLocator
{

  /* (non-Javadoc)
   * @see jgroup.core.registry.RegistryLocator#getRegistry()
   */
  public DependableRegistry getRegistry() 
    throws JgroupException, RemoteException
  {
    throw new UnsupportedOperationException();
  }

  /* (non-Javadoc)
   * @see jgroup.core.registry.RegistryLocator#getRegistry(java.rmi.server.RMIClientSocketFactory)
   */
  public DependableRegistry getRegistry(RMIClientSocketFactory csf) 
    throws JgroupException, RemoteException
  {
    throw new UnsupportedOperationException();
  }

  /* (non-Javadoc)
   * @see jgroup.core.registry.RegistryLocator#createRegistry()
   */
  public DependableRegistry createRegistry() throws JgroupException, RemoteException
  {
    throw new UnsupportedOperationException();
  }

  /* (non-Javadoc)
   * @see jgroup.core.registry.RegistryLocator#createRegistry(java.rmi.server.RMIClientSocketFactory, 
   * java.rmi.server.RMIServerSocketFactory)
   */
  public DependableRegistry createRegistry(RMIClientSocketFactory csf, RMIServerSocketFactory ssf) 
    throws JgroupException, RemoteException
  {
    throw new UnsupportedOperationException();
  }

  /* (non-Javadoc)
   * @see jgroup.core.registry.RegistryLocator#getLookupRegistry()
   */
  public LookupRegistry getLookupRegistry() 
  {    
    GregRegistryImpl gri = new GregRegistryImpl();
    return (LookupRegistry) gri;
  }

} // END GregRegistryLocator
