/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.test.hello;

import java.rmi.RemoteException;

import jgroup.core.InternalGMIListener;

/**
 *  Internal Hello interface.  Methods provided in this interface can
 *  only be invoked from within the object group, that is only servers
 *  that are members of the group can invoke this method.  Although
 *  methods in this interface are declared as returning a single object,
 *  they will in fact return an array of objects, one for each member of
 *  the group.  If a member is unable to reply to this method, an
 *  exception object may be in the object array.
 *
 *  @author Alberto Montresor
 *  @since Jgroup 1.0
 */
public interface InternalHello
  extends InternalGMIListener
{
  public Object time()
    throws RemoteException;
}
