/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.test.performance;

import java.rmi.RemoteException;

import jgroup.core.ExternalGMIListener;
import jgroup.core.protocols.Anycast;
import jgroup.core.protocols.Multicast;

/**
 *  Interface used to measure Jgroup and standard RMI performance.
 *  The interface declares the invocation semantics to be used, hence
 *  the server implementations should not declare this.
 *
 *  @author Alberto Montresor
 *  @author Hein Meling
 *  @since  Jgroup 1.1
 */
public interface SpeedTest
  extends ExternalGMIListener
{

  @Multicast void mtest()
    throws RemoteException;

  @Multicast byte[] mtest(byte[] x)
    throws RemoteException;

  @Multicast void vmtest(byte[] x)
    throws RemoteException;

  @Multicast String mtest(String x)
    throws RemoteException;

  @Anycast void test()
    throws RemoteException;

  @Anycast byte[] test(byte[] x)
    throws RemoteException;

  @Anycast String test(String x)
    throws RemoteException;
  
} // END SpeedTest
