/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.test.performance.arm;

import java.rmi.RemoteException;

import jgroup.core.GroupManager;
import jgroup.core.protocols.Multicast;
import jgroup.core.registry.DependableRegistry;
import jgroup.core.registry.RegistryFactory;
import jgroup.test.performance.SpeedTest;
import jgroup.util.Network;

/**
 *  Server to test chained invocations.
 *
 *  @author Hein Meling
 *  @since Jgroup 1.2
 */
public class ChainedServer
  implements ChainedInvocationTest
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields (non-shared state)
  ////////////////////////////////////////////////////////////////////////////////////////////

  private SpeedTest test;


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructor
  ////////////////////////////////////////////////////////////////////////////////////////////

  public ChainedServer()
    throws Exception
  {
    GroupManager gm = GroupManager.getGroupManager(this);
    DependableRegistry registry = RegistryFactory.getRegistry();
    test = (SpeedTest) registry.lookup("ARM/ReplicatedServer");
    System.out.println("ChainedServer initialized");
  }


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Main method
  ////////////////////////////////////////////////////////////////////////////////////////////

  public static void main(String[] argv)
    throws Exception
  {
    ChainedServer server = new ChainedServer();
  }


  ////////////////////////////////////////////////////////////////////////////////////////////
  // ChainedInvocationTest methods
  ////////////////////////////////////////////////////////////////////////////////////////////

  /* (non-Javadoc)
   * @see jgroup.test.performance.arm.ChainedInvocationTest#chainResult(java.lang.String)
   */
  @Multicast public String chainResult(String input)
    throws RemoteException
  {
    System.out.println("received: " + input);
    return test.mtest(input + Network.getLocalMachineName());
  }

} // END ChainedServer
