/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.core;

import java.lang.reflect.Method;

/**
 *  The <code>InternalGMIService</code> interface is special in the
 *  sense that is not implemented by a concrete layer (such as the
 *  <code>IntGroupHandler</code>), but rather by the dynamically
 *  generated proxy object.
 *
 *  @author Alberto Montresor
 *  @since Jgroup 0.9
 *  @see jgroup.relacs.rmi.IntGroupHandler
 */
public interface InternalGMIService
  extends Layer
{

  Object invoke(Method m, Object[] args, Callback callback)
    throws Exception;

} // END InternalGMIService
