/*
 * Copyright (c) 1998-2004 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.core.multicast;

import java.io.Serializable;

import jgroup.core.MemberId;

/**
 * @author Hein Meling
 */
public class ChainIdentifier
  implements Serializable
{

  private static final long serialVersionUID = 5286980434393440664L;

  private MemberId orgSender;
  private int msgId;

  public ChainIdentifier(MemberId orgSender, int msgId)
  {
    this.orgSender = orgSender;
    this.msgId = msgId;
  }

  public MemberId getOriginalSender()
  {
    return orgSender;
  }

  public int getMsgId()
  {
    return msgId;
  }

  /* (non-Javadoc)
   * @see java.lang.Object#toString()
   */
  public String toString()
  {
    StringBuilder b = new StringBuilder("[ChainId: orgSender=");
    b.append(orgSender);
    b.append(", mid=");
    b.append(msgId);
    b.append("]");
    return b.toString();
  }

} // END ChainIdentifier
