/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.config;

/**
 *  In order to be notified of changes to the core domain set, an object
 *  must implement this interface.
 *
 *  @author Hein Meling
 *  @since Jgroup 1.2
 */
public interface DomainListener
{

  /**
   *  This method is invoked when a new domain has been added to the
   *  core <code>DomainSet</code>.
   *
   *  @param domain
   *    The added domain object.
   */
  public void addDomain(Domain domain);


  /**
   *  This method is invoked when a domain has been removed from the
   *  core <code>DomainSet</code>.
   *
   *  @param domain
   *    The removed domain object.
   */
  public void removeDomain(Domain domain);

} // END DomainListener
