/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.events;

/**
 *  The <code>DaemonFailureEvent</code> class represents a local message
 *  exchanged between the dispatcher and the dispatcher listener.  It is
 *  used to notify the member that the daemon has crashed.
 *
 *  @author Hein Meling
 *  @since Jgroup 1.2
 */
public final class DaemonFailureEvent
  extends Event
{

  private static final long serialVersionUID = 7692112474110863939L;

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *  Creates a <code>DaemonFailureEvent</code> object; also used as
   *  the default constructor for externalization.
   */
  public DaemonFailureEvent()
  {
    super(DAEMON_FAILURE_EVENT, -1);
  }

} // END DaemonFailureEvent
