/*
 * Copyright (c) 1998-2002 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.gm;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 *  The <code>PingListener</code> interface is a remote interface used 
 *  by the daemon to periodically poll a remote member object to verify
 *  if it is still active or has crashed.
 *
 *  @author Alberto Montresor
 *  @since  Jgroup 1.2
 */
public interface PingListener
  extends Remote
{

  /**
   *  This method is invoked periodically by the daemon to verify whether a 
   *  remote member object is still active or has crashed.  If a remote
   *  exception is thrown, this means that the member has crashed.
   */
  public void ping()
    throws RemoteException;

} // END PingListener

