/*
 * Copyright (c) 1998-2006 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.relacs.gmi.protocols;

import jgroup.relacs.gmi.GroupInvocationDispatcher;

/**
 * Anycast represents a protocol that dispatch method invocations
 * received through the local endpoint to the local server.
 * 
 * It is simply a wrapper around the <code>BasicDispatcher</code>
 * which actually implement the dispatcher functionality which is
 * common for many of the other protocols as well.
 *
 * @author Hein Meling <hein.meling@uis.no>
 */
public class Anycast
  extends BasicDispatcher
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructor
  ////////////////////////////////////////////////////////////////////////////////////////////

  public Anycast(GroupInvocationDispatcher dispatcher)
  {
    super(dispatcher);
  }

} // END Anycast
